Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.binding.annotations
Class AnnotationStateVariableBinder

    java.lang.Object
      org.teleal.cling.binding.annotations.AnnotationStateVariableBinder

    public class AnnotationStateVariableBinder

extends Object

Author:
  Christian Bauer

Field Summary
`protected StateVariableAccessor` | `accessor`
`protected UpnpStateVariable` | `annotation`
`protected String` | `name`
`protected Set<Class>` | `stringConvertibleTypes`

Constructor Summary
`AnnotationStateVariableBinder(UpnpStateVariable annotation, String name, StateVariableAccessor accessor, Set<Class> stringConvertibleTypes)`

Method Summary
`protected Datatype` | `createDatatype()`
`protected String` | `createDefaultValue(Datatype datatype)`
`protected StateVariable` | `createStateVariable()`
`StateVariableAccessor` | `getAccessor()`
`protected StateVariableAllowedValueRange` | `getAllowedValueRange()`
`protected String[]` | `getAllowedValues(Class enumType)`
`UpnpStateVariable` | `getAnnotation()`
`String` | `getName()`
`Set<Class>` | `getStringConvertibleTypes()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### annotation

    protected UpnpStateVariable annotation

### name

    protected String name

### accessor

    protected StateVariableAccessor accessor

### stringConvertibleTypes

    protected Set<Class> stringConvertibleTypes

Constructor Detail

### AnnotationStateVariableBinder

    public AnnotationStateVariableBinder(UpnpStateVariable annotation,
                                         String name,
                                         StateVariableAccessor accessor,
                                         Set<Class> stringConvertibleTypes)

Method Detail

### getAnnotation

    public UpnpStateVariable getAnnotation()

### getName

    public String getName()

### getAccessor

    public StateVariableAccessor getAccessor()

### getStringConvertibleTypes

    public Set<Class> getStringConvertibleTypes()

### createStateVariable

    protected StateVariable createStateVariable()
                                         throws LocalServiceBindingException

  Throws:
    `LocalServiceBindingException`

### createDatatype

    protected Datatype createDatatype()
                               throws LocalServiceBindingException

  Throws:
    `LocalServiceBindingException`

### createDefaultValue

    protected String createDefaultValue(Datatype datatype)
                                 throws LocalServiceBindingException

  Throws:
    `LocalServiceBindingException`

### getAllowedValues

    protected String[] getAllowedValues(Class enumType)
                                 throws LocalServiceBindingException

  Throws:
    `LocalServiceBindingException`

### getAllowedValueRange

    protected StateVariableAllowedValueRange getAllowedValueRange()
                                                           throws LocalServiceBindingException

  Throws:
    `LocalServiceBindingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.